Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# query.h File Reference

`#include <glibmm.h>`
`#include <gdkmm/gl/defs.h>`
`#include <gdkmm/display.h>`
`#include <gdk/gdkgltypes.h>`

Include dependency graph for query.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Gdk
namespace | Gdk::GL
## Functions
bool | Gdk::GL::query_extension ()
bool | Gdk::GL::query_extension (const Glib::RefPtr< const Gdk::Display > &display)
bool | Gdk::GL::query_version (int &major, int &minor)
bool | Gdk::GL::query_version (const Glib::RefPtr< const Gdk::Display > &display, int &major, int &minor)
bool | Gdk::GL::query_gl_extension (const char *extension)
bool | Gdk::GL::query_gl_extension (const Glib::ustring &extension)
GdkGLProc | Gdk::GL::get_proc_address (const char *proc_name)
GdkGLProc | Gdk::GL::get_proc_address (const Glib::ustring &proc_name)